KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataContainer Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataFeature → Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataFolder, Marble.GeoDataDocument
Namespace: Marble.GeoDataContainer

## Detailed Description

A base class that can hold GeoDataFeatures

GeoDataContainer is the base class for the GeoData container classes GeoDataFolder and GeoDataDocument. It is never instantiated by itself, but is always used as part of a derived class.

It is based on GeoDataFeature, and it only adds a QVector<GeodataFeature *> to it, making it a Feature that can hold other Features.

See also:
  GeoDataFolder

See also:
  GeoDataDocument

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataContainer other)
| __init__ (self, Marble.GeoDataFeature other)
| append (self, Marble.GeoDataFeature other)
Marble.GeoDataFeature | at (self, int pos)
| clear (self)
QVector<Marble::GeoDataFeature> | features (self)
Marble.GeoDataFeature | first (self)
QVector<Marble::GeoDataFolder> | folders (self)
Marble.GeoDataFeature | last (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
QVector<Marble::GeoDataPlacemark> | placemarks (self)
int | size (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataContainer | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataFeature | other
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataFeature | other
| ) |  |  |

add an element

Marble.GeoDataFeature at | ( | self, |
|  | int | pos
| ) |  |  |

return the reference of the element at a specific position

clear | ( |  | self ) |

QVector<Marble::GeoDataFeature> features | ( |  | self ) |

A convenience function that returns all features in this container.

Returns:
  A QVector of GeoDataFeature

See also:
  GeoDataFeature

Marble.GeoDataFeature first | ( |  | self ) |

return the reference of the last element for convenience

QVector<Marble::GeoDataFolder> folders | ( |  | self ) |

A convenience function that returns all folders in this container.

Returns:
  A QVector of GeoDataFolder

See also:
  GeoDataFolder

Marble.GeoDataFeature last | ( |  | self ) |

return the reference of the last element for convenience

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the container to a stream.

Parameters:

  |  | stream the stream

QVector<Marble::GeoDataPlacemark> placemarks | ( |  | self ) |

A convenience function that returns all placemarks in this container.

Returns:
  A QVector of GeoDataPlacemark

See also:
  GeoDataPlacemark

int size | ( |  | self ) |

size of the container

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the container from a stream

Parameters:

  |  | stream the stream